Get OCI IAM user, group and policies quick create link
Returns an OCI Resource Manager stack creation URL for provisioning IAM policies required by Commvault. When the type query parameter is set to "cloudConfig", the link points to the CloudConfig-IAM template, otherwise it returns the default IAM template link.
Query Parameters
- type string
Possible values: [
cloudConfig]Type of IAM template to retrieve. When set to "cloudConfig", returns the CloudConfig-IAM.zip template link. If omitted or empty, returns the default IAM.zip template link.
Responses
- 200
- 403
- 500
Success
- application/json
- Schema
- Example (from schema)
Schema
- quickLinkUrl string
The OCI Resource Manager stack creation URL with pre-configured IAM template parameters
{
"quickLinkUrl": "https://cloud.oracle.com/resourcemanager/stacks/create?zipUrl=https://objectstorage.us-ashburn-1.oraclecloud.com/n/iderzsf1/b/CommvaultCloudTemplates/o/IAM.zip"
}
Access Denied - User does not have backup & restore permissions
- application/json
- Schema
- Example (from schema)
Schema
- errorMessage string
- errorCode int32
{
"errorMessage": "string",
"errorCode": 0
}
Internal Server Error
- application/json
- Schema
- Example (from schema)
Schema
- errorMessage string
- errorCode int32
{
"errorMessage": "string",
"errorCode": 0
}
Loading...